dest:={{ environment_link_name }}

# acl file generation

acl_files:=$(sort $(wildcard *.acl))
acl_file_name:={{ acl_file_name }}
acl_file:=${dest}/${acl_file_name}

.PHONY: ${acl_file_name}
${acl_file_name}: ${acl_file}

${acl_file}: ${acl_files}
	cat $^ > "$@";

# auth file generation

auth_files:=$(sort $(wildcard *.auth))
auth_file_name:={{ auth_file_name }}
auth_file:=${dest}/${auth_file_name}

.PHONY: ${auth_file_name}
${auth_file_name}: ${auth_file}

${auth_file}: ${auth_files}
	cat $^ > "$@";
