#!/usr/bin/env sh
/usr/lib/jvm/java-{{ java_version }}-openjdk-amd64/bin/java \
  -server \
  -Xms{{ minecraft_start_ram | quote }} \
  -Xmx{{ minecraft_max_ram | quote }} \
  -XX:+UseG1GC \
  -XX:+UnlockExperimentalVMOptions \
  -XX:MaxGCPauseMillis=100 \
  -XX:+DisableExplicitGC \
  -XX:TargetSurvivorRatio=90 \
  -XX:G1NewSizePercent=50 \
  -XX:G1MaxNewSizePercent=80 \
  -XX:G1MixedGCLiveThresholdPercent=35 \
  -XX:+AlwaysPreTouch \
  -XX:+ParallelRefProcEnabled \
  -jar \
  {{ installation_directory | quote }}/server.jar \
  nogui
